rem Assuming:
rem  SPI_CLOCK on Port A.0 (0x01)
rem  SPI_MOSI  on Port A.1 (0x02)
rem  SPI_MIS0  on Port A.2 (0x04)
rem  SPI_LE    on Port A.3 (0x08)
rem
rem
rem Display Command Line options
CmdLine /?
rem
rem Display software version information
CmdLine /VERSION
rem
rem Get the current GPIO configuration
CmdLine /GETGPIO
rem
rem Get the current GPIO pin states
CmdLine /GETGPIOCFG
rem
rem Configure Ports A.3, A.1, and A.0 as outputs (only), low nibble = 0100
CmdLine /SETGPIOCFG=0xFFFFFFF4
rem
rem Set the initial state of the SPI_CLOCK, MOSI, and LE signals (Port A.3, A.1, A.0) to HIGH
rem the MASK value enables me to do a "read-modify-write" at the board level and affect only the desired pins
rem if you don't specifically set the mask value, it defaults to 0xFFFFFFFF (all bits matter)
rem only pins previously configured to be outputs can be modified
CmdLine /SETGPIOMASK=0x0000000B /SETGPIO=0x0000000B
rem
rem Clear SPI_LE signal (Port A.3) to low
CmdLine /SETGPIOMASK=0x00000008 /SETGPIO=0x00000000
rem
rem Put a zero bit on the SPI_MOSI (data out) signal (Port A.1)
CmdLine /SETGPIOMASK=0x00000002 /SETGPIO=0x00000000
rem
rem toggle the SPI_CLOCK signal (Port A.0)
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000000
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000001
rem
rem Put a one bit on the SPI_MOSI (data out) signal (Port A.1)
CmdLine /SETGPIOMASK=0x00000002 /SETGPIO=0x00000002
rem
rem toggle the SPI_CLOCK signal (Port A.0)
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000000
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000001
rem
rem Put a zero bit on the SPI_MOSI (data out) signal (Port A.1)
CmdLine /SETGPIOMASK=0x00000002 /SETGPIO=0x00000000
rem
rem toggle the SPI_CLOCK signal (Port A.0)
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000000
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000001
rem
rem Put a one bit on the SPI_MOSI (data out) signal (Port A.1)
CmdLine /SETGPIOMASK=0x00000002 /SETGPIO=0x00000002
rem
rem toggle the SPI_CLOCK signal (Port A.0)
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000000
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000001
rem
rem Put a zero bit on the SPI_MOSI (data out) signal (Port A.1)
CmdLine /SETGPIOMASK=0x00000002 /SETGPIO=0x00000000
rem
rem toggle the SPI_CLOCK signal (Port A.0)
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000000
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000001
rem
rem Put a one bit on the SPI_MOSI (data out) signal (Port A.1)
CmdLine /SETGPIOMASK=0x00000002 /SETGPIO=0x00000002
rem
rem toggle the SPI_CLOCK signal (Port A.0)
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000000
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000001
rem
rem Put a zero bit on the SPI_MOSI (data out) signal (Port A.1)
CmdLine /SETGPIOMASK=0x00000002 /SETGPIO=0x00000000
rem
rem toggle the SPI_CLOCK signal (Port A.0)
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000000
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000001
rem
rem Put a one bit on the SPI_MOSI (data out) signal (Port A.1)
CmdLine /SETGPIOMASK=0x00000002 /SETGPIO=0x00000002
rem
rem toggle the SPI_CLOCK signal (Port A.0)
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000000
CmdLine /SETGPIOMASK=0x00000001 /SETGPIO=0x00000001
rem
rem Set SPI_LE signal (Port A.3) to HIGH
CmdLine /SETGPIOMASK=0x00000008 /SETGPIO=0x00000008
